package com.google.code.siren4j;

/**
 * Useful constants for working with Siren4J.
 */
public class Siren4J {

    private Siren4J() {
    }
    
    /**
     * The Media Type for Siren/JSON (application/vnd.siren+json).
     */
    public static final String JSON_MEDIATYPE = "application/vnd.siren+json"; 
    
    /**
     * Default date format string used for date serialization.
     * ISO8601 compliant. <code>yyyy-MM-dd'T'HH:mm:ssZ</code>
     */
    public static final String DEFAULT_DATE_FORMAT = "yyyy-MM-dd'T'HH:mm:ssZ";
    
    /**
     * Constant for the reserved property that contains the entity class.
     */
    public static final String CLASS_RESERVED_PROPERTY = "$siren4j.class";
    
    
    

}
